#if !defined(AFX_TITLEDLG_H__7B3E363C_393E_452B_B0C8_EDBD358148E2__INCLUDED_)
#define AFX_TITLEDLG_H__7B3E363C_393E_452B_B0C8_EDBD358148E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TitleDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTitleDlg dialog
#include "resource.h"
#include "ReportDict.h"
#include <AplGuiEx.h>
#include "afxwin.h"

class CTitleDlg : public CaplTranslateDialog
{
// Construction
protected:
	CaplReportMgr	*m_ReportMgr;
	CReportSheet	*m_pSheet;

	LOGFONT			m_TitleFont;
	int				m_align;
public:
	CTitleDlg(CaplReportMgr *ReportMgr, CReportSheet *pSheet, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTitleDlg)
	enum { IDD = IDD_TITLE_DLG };
	CaplButton	m_tr_btn;
	CaplButton	m_tl_btn;
	CaplButton	m_tc_btn;
	CaplButton	m_cr_btn;
	CaplButton	m_cl_btn;
	CaplButton	m_center_btn;
	CaplButton	m_bl_btn;
	CaplButton	m_bc_btn;
	CaplButton	m_br_btn;
	CaplButton	m_up_column_btn;
	CaplButton	m_down_column_btn;
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CaplButton	m_del_column_btn;
	CaplButton	m_config_font_btn;
	CaplButton	m_add_column_btn;
	CaplListCtrl	m_ColumnListCtrl;
	CString	m_sFontName;
	int		m_iFontSize;
	double	m_dHeight;
	double	m_dLeft;
	double	m_dRight;
	double	m_dTop;
	double	m_dLineWidth;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTitleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetCheck (UINT align, bool bChange = true);

	// Generated message map functions
	//{{AFX_MSG(CTitleDlg)
	afx_msg void OnConfigFont();
	afx_msg void OnAddColumn();
	afx_msg void OnDelColumn();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnCalcColumnsWidth();
	afx_msg void OnUpColumn();
	afx_msg void OnDownColumn();
	afx_msg void OnTopLeft();
	afx_msg void OnTopCenter();
	afx_msg void OnTopRight();
	afx_msg void OnCenterRight();
	afx_msg void OnCenterLeft();
	afx_msg void OnCenter();
	afx_msg void OnBottomLeft();
	afx_msg void OnBottomCenter();
	afx_msg void OnBottemRight();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CButton m_use_even_check;
	CComboBox m_use_even_combo;
	afx_msg void OnBnClickedUseEvenCheck();
	afx_msg void OnCbnSelchangeUseEvenCombo();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TITLEDLG_H__7B3E363C_393E_452B_B0C8_EDBD358148E2__INCLUDED_)
